Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.hl7.v3.framework.wrappers
Class HL7v3TransmissionWrapperInfo

    java.lang.Object
      com.stc.connector.hl7.v3.framework.wrappers.HL7v3TransmissionWrapperInfo

All Implemented Interfaces:
  HL7v3TransmissionWrapperInfoInterface

    public class HL7v3TransmissionWrapperInfo

extends java.lang.Object
implements HL7v3TransmissionWrapperInfoInterface

Version:
  cvs revision: $Revision: 1.1 $ Last Modified: $Date: 2007/12/14 10:20:11 $
Author:
  Nageswara Samudrala

Field Summary
`static java.lang.String` | `version`

Constructor Summary
`HL7v3TransmissionWrapperInfo()` Constructor for HL7v3TransmissionWrapperInfo.

Method Summary
`java.lang.String` | `getInteractionID()` Returns the interactionID The interaction identifier is a reference to the unique information interchange derived from the V3 MDF for specifying a message.
`java.lang.String` | `getProcessingCode()` Returns the processingCode This attribute defines whether the message is part of a production, training, or debugging system.
`java.lang.String` | `getProcessingModeCode()` Returns the ProcessingModeCode This attribute defines whether the message is being sent in current processing, archive mode, initial load mode, restore from archive mode
`boolean` | `getValidateTransmissionWrapper()` Returns the boolean value
`java.lang.String` | `getVersionID()` Returns the versionID This attribute is matched by the receiving system to its own version to be sure the message will be interpreted correctly
`boolean` | `isValidateTransmissionWrapper()`
`void` | `setInteractionID(java.lang.String interactionID)` Sets the interactionID The interaction identifier is a reference to the unique information interchange derived from the V3 MDF for specifying a message.
`void` | `setProcessingCode(java.lang.String processingCode)` Sets the processingCode This attribute defines whether the message is part of a production, training, or debugging system.
`void` | `setProcessingModeCode(java.lang.String processingModeCode)` Sets the ProcessingModeCode This attribute defines whether the message is being sent in current processing, archive mode, initial load mode, restore from archive mode
`void` | `setValidateTransmissionWrapper(boolean b)` Sets the ValidateTransmissionWrapper flag
`void` | `setVersionID(java.lang.String versionID)` Set the versionID This attribute is matched by the receiving system to its own version to be sure the message will be interpreted correctly
`void` | `validate()` Method validate.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### HL7v3TransmissionWrapperInfo

    public HL7v3TransmissionWrapperInfo()

  Constructor for HL7v3TransmissionWrapperInfo.

Method Detail

### getInteractionID

    public java.lang.String getInteractionID()

  Returns the interactionID The interaction identifier is a reference to the unique information interchange derived from the V3 MDF for specifying a message.

  Specified by:
    `getInteractionID` in interface `HL7v3TransmissionWrapperInfoInterface`
  Returns:
    String

### setInteractionID

    public void setInteractionID(java.lang.String interactionID)

  Sets the interactionID The interaction identifier is a reference to the unique information interchange derived from the V3 MDF for specifying a message.

  Specified by:
    `setInteractionID` in interface `HL7v3TransmissionWrapperInfoInterface`
  Parameters:
    `interactionID` - The interactionID to set

### getProcessingCode

    public java.lang.String getProcessingCode()

  Returns the processingCode This attribute defines whether the message is part of a production, training, or debugging system.

  Specified by:
    `getProcessingCode` in interface `HL7v3TransmissionWrapperInfoInterface`
  Returns:
    String

### setProcessingCode

    public void setProcessingCode(java.lang.String processingCode)

  Sets the processingCode This attribute defines whether the message is part of a production, training, or debugging system.

  Specified by:
    `setProcessingCode` in interface `HL7v3TransmissionWrapperInfoInterface`
  Parameters:
    `processingCode` - The processingCode to set

### getProcessingModeCode

    public java.lang.String getProcessingModeCode()

  Returns the ProcessingModeCode This attribute defines whether the message is being sent in current processing, archive mode, initial load mode, restore from archive mode

  Specified by:
    `getProcessingModeCode` in interface `HL7v3TransmissionWrapperInfoInterface`
  Returns:
    String

### setProcessingModeCode

    public void setProcessingModeCode(java.lang.String processingModeCode)

  Sets the ProcessingModeCode This attribute defines whether the message is being sent in current processing, archive mode, initial load mode, restore from archive mode

  Specified by:
    `setProcessingModeCode` in interface `HL7v3TransmissionWrapperInfoInterface`
  Parameters:
    `procesingModeCode` - The processingModeCode to set

### getVersionID

    public java.lang.String getVersionID()

  Returns the versionID This attribute is matched by the receiving system to its own version to be sure the message will be interpreted correctly

  Specified by:
    `getVersionID` in interface `HL7v3TransmissionWrapperInfoInterface`
  Returns:
    String

### setVersionID

    public void setVersionID(java.lang.String versionID)

  Set the versionID This attribute is matched by the receiving system to its own version to be sure the message will be interpreted correctly

  Specified by:
    `setVersionID` in interface `HL7v3TransmissionWrapperInfoInterface`
  Parameters:
    `versionID` - The versionID to set

### isValidateTransmissionWrapper

    public boolean isValidateTransmissionWrapper()

  Specified by:
    `isValidateTransmissionWrapper` in interface `HL7v3TransmissionWrapperInfoInterface`
  Returns:
    boolean

### getValidateTransmissionWrapper

    public boolean getValidateTransmissionWrapper()

  Returns the boolean value

  Specified by:
    `getValidateTransmissionWrapper` in interface `HL7v3TransmissionWrapperInfoInterface`
  Returns:
    boolean

### setValidateTransmissionWrapper

    public void setValidateTransmissionWrapper(boolean b)

  Sets the ValidateTransmissionWrapper flag

  Specified by:
    `setValidateTransmissionWrapper` in interface `HL7v3TransmissionWrapperInfoInterface`
  Parameters:
    `b` -

### validate

    public void validate()
                  throws HL7ApplicationException

  Method validate.

  Throws:
    `HL7ApplicationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD